User and Org Insights API Reference
These APIs can be called from the backend using your PropelAuth API Key. These APIs are used to fetch the raw data used in the User Insights reports and charts.
GET /api/backend/v1/user/<userId>/signup_query_parameters
Fetches the signup query parameters for the user. See the docs
here for more information.
Properties Name userId * Type string Description The ID of the user. Request Javascript Python Rust Go cURL
auth .fetchUserSignupQueryParams ( "31c41c16-c281-44ae-9602-8a047e3bf33d" ); CopyCopied! auth . fetch_user_signup_query_params_by_user_id (
user_id = "31c41c16-c281-44ae-9602-8a047e3bf33d" ,
) CopyCopied! auth . user () . fetch_user_signup_query_parameters ( FetchUserSignupQueryParamsParams {
user_id : "31c41c16-c281-44ae-9602-8a047e3bf33d" . to_string (),
}) CopyCopied! auth. FetchUserSignupQueryParameters (uuid. MustParse ( "31c41c16-c281-44ae-9602-8a047e3bf33d" )) CopyCopied! curl -H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
"<AUTH_URL>/api/backend/v1/user/<userId>/signup_query_parameters" CopyCopied!
Successful Response {
userSignupQueryParameters : {
query_param_example : "example_value"
}
} CopyCopied! {
user_signup_query_parameters : {
query_param_example : "example_value"
}
} CopyCopied! {
user_signup_query_parameters : {
query_param_example : "example_value"
}
} CopyCopied! {
UserSignupQueryParameters : {
query_param_example : "example_value"
}
} CopyCopied! {
"user_signup_query_parameters" : {
"query_param_example" : "example_value"
}
} CopyCopied!
GET /api/backend/v1/user_report/top_inviter
Fetches the top inviter report, a leaderboard of users with the highest number of invited users in a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include '30', '60', and '90' days. Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchUserTopInviterReport (
TopInviterReportInterval . THIRTY_DAYS ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_user_top_inviter_report (
report_interval = TopInviterReportInterval.THIRTY_DAYS,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_user_top_inviter_report (
TopInviterReportInterval :: ThirtyDays ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchUserTopInviterReport (
& "30" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/user_report/top_inviter
?report_interval=30
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
userReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
userId : "813bef..." ,
userCreatedAt : 1701392700 ,
username : "exampleUsername" ,
firstName : "John" ,
lastName : "Doe" ,
email : "john@acmeinc.com" ,
lastActiveAt : 1773250562 ,
orgData : [
{
displayName : "Acme Inc" ,
orgId : "4f18c3..." ,
userRole : "Owner"
} ,
] ,
extraProperties : {
numInvites : 4
}
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
user_id : "813bef..." ,
user_created_at : 1701392700 ,
username : "exampleUsername" ,
first_name : "John" ,
last_name : "Doe" ,
email : "john@acmeinc.com" ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" ,
org_id : "4f18c3..." ,
user_role : "Owner"
} ,
] ,
extra_properties : {
num_invites : 4
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
user_id : "813bef..." .to_string() ,
user_created_at : 1701392700 ,
username : "exampleUsername" .to_string() ,
first_name : "John" .to_string() ,
last_name : "Doe" .to_string() ,
email : "john@acmeinc.com" .to_string() ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" .to_string() ,
org_id : "4f18c3..." .to_string() ,
user_role : "Owner" .to_string()
} ,
] ,
extra_properties : {
num_invites : 4
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
UserReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
UserId : "813bef..." ,
UserCreatedAt : 1701392700 ,
Username : "exampleUsername" ,
FirstName : "John" ,
LastName : "Doe" ,
Email : "john@acmeinc.com" ,
LastActiveAt : 1773250562 ,
OrgData : [
{
DisplayName : "Acme Inc" ,
OrgId : "4f18c3..." ,
UserRole : "Owner"
} ,
] ,
ExtraProperties : {
num_invites : 4
}
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"user_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"user_id" : "813bef..." ,
"user_created_at" : 1701392700 ,
"username" : "exampleUsername" ,
"first_name" : "John" ,
"last_name" : "Doe" ,
"email" : "john@acmeinc.com" ,
"last_active_at" : 1773250562 ,
"org_data" : [
{
"display_name" : "Acme Inc" ,
"org_id" : "4f18c3..." ,
"user_role" : "Owner"
} ,
] ,
"extra_properties" : {
"num_invites" : 4
}
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/user_report/champion
Fetches the potential champions report, a leaderboard of users with the highest amount of activity in a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include '30', '60', and '90' days. Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchUserChampionReport (
ChampionReportInterval . THIRTY_DAYS ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_user_champion_report (
report_interval = ChampionReportInterval.THIRTY_DAYS,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_user_champion_report (
ChampionReportInterval :: ThirtyDays ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchUserChampionReport (
& "30" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/user_report/champion
?report_interval=30
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
userReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
userId : "813bef..." ,
userCreatedAt : 1701392700 ,
username : "exampleUsername" ,
firstName : "John" ,
lastName : "Doe" ,
email : "john@acmeinc.com" ,
lastActiveAt : 1773250562 ,
orgData : [
{
displayName : "Acme Inc" ,
orgId : "4f18c3..." ,
userRole : "Owner"
} ,
] ,
extraProperties : {
numActiveDays : 4
} ,
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
user_id : "813bef..." ,
user_created_at : 1701392700 ,
username : "exampleUsername" ,
first_name : "John" ,
last_name : "Doe" ,
email : "john@acmeinc.com" ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" ,
org_id : "4f18c3..." ,
user_role : "Owner"
} ,
] ,
extra_properties : {
num_active_days : 4
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
user_id : "813bef..." .to_string() ,
user_created_at : 1701392700 ,
username : "exampleUsername" .to_string() ,
first_name : "John" .to_string() ,
last_name : "Doe" .to_string() ,
email : "john@acmeinc.com" .to_string() ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" .to_string() ,
org_id : "4f18c3..." .to_string() ,
user_role : "Owner" .to_string()
} ,
] ,
extra_properties : {
num_active_days : 4
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
UserReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
UserId : "813bef..." ,
UserCreatedAt : 1701392700 ,
Username : "exampleUsername" ,
FirstName : "John" ,
LastName : "Doe" ,
Email : "john@acmeinc.com" ,
LastActiveAt : 1773250562 ,
OrgData : [
{
DisplayName : "Acme Inc" ,
OrgId : "4f18c3..." ,
UserRole : "Owner"
} ,
] ,
ExtraProperties : {
num_active_days : 4
}
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"user_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"user_id" : "813bef..." ,
"user_created_at" : 1701392700 ,
"username" : "exampleUsername" ,
"first_name" : "John" ,
"last_name" : "Doe" ,
"email" : "john@acmeinc.com" ,
"last_active_at" : 1773250562 ,
"org_data" : [
{
"display_name" : "Acme Inc" ,
"org_id" : "4f18c3..." ,
"user_role" : "Owner"
} ,
] ,
"extra_properties" : {
"num_active_days" : 4
}
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/user_report/reengagement
Fetches the reengaged users report, a report of recently active users who were previously inactive for a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include 'Weekly' and 'Monthly'. Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchUserReengagementReport (
ReengagementReportInterval . WEEKLY ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_user_reengagement_report (
report_interval = ReengagementReportInterval.WEEKLY,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_user_reengagement_report (
ReengagementReportInterval :: Weekly ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchUserReengagementReport (
& "Weekly" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/user_report/reengagement
?report_interval=Weekly
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
userReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
userId : "813bef..." ,
userCreatedAt : 1701392700 ,
username : "exampleUsername" ,
firstName : "John" ,
lastName : "Doe" ,
email : "john@acmeinc.com" ,
lastActiveAt : 1773250562 ,
orgData : [
{
displayName : "Acme Inc" ,
orgId : "4f18c3..." ,
userRole : "Owner"
} ,
] ,
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
user_id : "813bef..." ,
user_created_at : 1701392700 ,
username : "exampleUsername" ,
first_name : "John" ,
last_name : "Doe" ,
email : "john@acmeinc.com" ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" ,
org_id : "4f18c3..." ,
user_role : "Owner"
} ,
] ,
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
user_id : "813bef..." .to_string() ,
user_created_at : 1701392700 ,
username : "exampleUsername" .to_string() ,
first_name : "John" .to_string() ,
last_name : "Doe" .to_string() ,
email : "john@acmeinc.com" .to_string() ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" .to_string() ,
org_id : "4f18c3..." .to_string() ,
user_role : "Owner" .to_string()
} ,
] ,
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
UserReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
UserId : "813bef..." ,
UserCreatedAt : 1701392700 ,
Username : "exampleUsername" ,
FirstName : "John" ,
LastName : "Doe" ,
Email : "john@acmeinc.com" ,
LastActiveAt : 1773250562 ,
OrgData : [
{
DisplayName : "Acme Inc" ,
OrgId : "4f18c3..." ,
UserRole : "Owner"
} ,
] ,
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"user_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"user_id" : "813bef..." ,
"user_created_at" : 1701392700 ,
"username" : "exampleUsername" ,
"first_name" : "John" ,
"last_name" : "Doe" ,
"email" : "john@acmeinc.com" ,
"last_active_at" : 1773250562 ,
"org_data" : [
{
"display_name" : "Acme Inc" ,
"org_id" : "4f18c3..." ,
"user_role" : "Owner"
} ,
] ,
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/user_report/churn
Fetches the churned users report, a report of users who have not been active in a certain amount of days.
Properties Name reportIntervalType string Description The report interval to return. Options include '7' and '14', and '30' days Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchUserChurnReport (
ChurnReportInterval . SEVEN_DAYS ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_user_churn_report (
report_interval = ChurnReportInterval.SEVEN_DAYS,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_user_churn_report (
ChurnReportInterval :: SevenDays ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchUserChurnReport (
& "7" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/user_report/churn
?report_interval=7
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
userReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
userId : "813bef..." ,
userCreatedAt : 1701392700 ,
username : "exampleUsername" ,
firstName : "John" ,
lastName : "Doe" ,
email : "john@acmeinc.com" ,
lastActiveAt : 1773250562 ,
orgData : [
{
displayName : "Acme Inc" ,
orgId : "4f18c3..." ,
userRole : "Owner"
} ,
] ,
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
user_id : "813bef..." ,
user_created_at : 1701392700 ,
username : "exampleUsername" ,
first_name : "John" ,
last_name : "Doe" ,
email : "john@acmeinc.com" ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" ,
org_id : "4f18c3..." ,
user_role : "Owner"
} ,
] ,
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
user_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
user_id : "813bef..." .to_string() ,
user_created_at : 1701392700 ,
username : "exampleUsername" .to_string() ,
first_name : "John" .to_string() ,
last_name : "Doe" .to_string() ,
email : "john@acmeinc.com" .to_string() ,
last_active_at : 1773250562 ,
org_data : [
{
display_name : "Acme Inc" .to_string() ,
org_id : "4f18c3..." .to_string() ,
user_role : "Owner" .to_string()
} ,
] ,
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
UserReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
UserId : "813bef..." ,
UserCreatedAt : 1701392700 ,
Username : "exampleUsername" ,
FirstName : "John" ,
LastName : "Doe" ,
Email : "john@acmeinc.com" ,
LastActiveAt : 1773250562 ,
OrgData : [
{
DisplayName : "Acme Inc" ,
OrgId : "4f18c3..." ,
UserRole : "Owner"
} ,
] ,
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"user_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"user_id" : "813bef..." ,
"user_created_at" : 1701392700 ,
"username" : "exampleUsername" ,
"first_name" : "John" ,
"last_name" : "Doe" ,
"email" : "john@acmeinc.com" ,
"last_active_at" : 1773250562 ,
"org_data" : [
{
"display_name" : "Acme Inc" ,
"org_id" : "4f18c3..." ,
"user_role" : "Owner"
} ,
] ,
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/org_report/reengagement
Fetches the reengaged org report, a report of organizations with recently active users who had no active users in a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include 'Weekly' and 'Monthly' Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchOrgReengagementReport (
ReengagementReportInterval . WEEKLY ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_org_reengagement_report (
report_interval = ReengagementReportInterval.WEEKLY,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_org_reengagement_report (
ReengagementReportInterval :: Weekly ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchOrgReengagementReport (
& "Weekly" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/org_report/reengagement
?report_interval=Weekly
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
orgReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
orgId : "813bef..." ,
name : "Acme Inc" ,
numUsers : 1 ,
orgCreatedAt : 1771841702
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
org_id : "813bef..." ,
name : "Acme Inc" ,
num_users : 1 ,
org_created_at : 1771841702
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
org_id : "813bef..." .to_string() ,
name : "Acme Inc" .to_string() ,
num_users : 1 ,
org_created_at : 1771841702
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
OrgReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
OrgId : "813bef..." ,
Name : "Acme Inc" ,
NumUsers : 1 ,
OrgCreatedAt : 1771841702 ,
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"org_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"org_id" : "813bef..." ,
"name" : "Acme Inc" ,
"num_users" : 1 ,
"org_created_at" : 1771841702
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/org_report/churn
Fetches the churned org report, a report of organizations who had no active users in a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include '7' and '14', and '30' days Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchOrgChurnReport (
ChurnReportInterval . SEVEN_DAYS ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_org_churn_report (
report_interval = ChurnReportInterval.SEVEN_DAYS,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_org_churn_report (
ChurnReportInterval :: ThirtyDays ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchOrgChurnReport (
& "7" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/org_report/churn
?report_interval=7
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
orgReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
orgId : "813bef..." ,
name : "Acme Inc" ,
numUsers : 1 ,
orgCreatedAt : 1771841702
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
org_id : "813bef..." ,
name : "Acme Inc" ,
num_users : 1 ,
org_created_at : 1771841702
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
org_id : "813bef..." .to_string() ,
name : "Acme Inc" .to_string() ,
num_users : 1 ,
org_created_at : 1771841702
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
OrgReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
OrgId : "813bef..." ,
Name : "Acme Inc" ,
NumUsers : 1 ,
OrgCreatedAt : 1771841702 ,
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"org_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"org_id" : "813bef..." ,
"name" : "Acme Inc" ,
"num_users" : 1 ,
"org_created_at" : 1771841702
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/org_report/growth
Fetches the org growth report, a leaderboard of the organizations with the highest net growth over a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include '30' and '60', and '90' days Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchOrgGrowthReport (
GrowthReportInterval . THIRTY_DAYS ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_org_growth_report (
report_interval = GrowthReportInterval.THIRTY_DAYS,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_org_growth_report (
GrowthReportInterval :: ThirtyDays ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchOrgGrowthReport (
& "30" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/org_report/growth
?report_interval=30
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
orgReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
orgId : "813bef..." ,
name : "Acme Inc" ,
numUsers : 1 ,
orgCreatedAt : 1771841702 ,
extraProperties : {
numUsersAdded : 10 ,
numUsersRemoved : 3
}
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
org_id : "813bef..." ,
name : "Acme Inc" ,
num_users : 1 ,
org_created_at : 1771841702 ,
extra_properties : {
num_users_added : 10 ,
num_users_removed : 3
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
org_id : "813bef..." .to_string() ,
name : "Acme Inc" .to_string() ,
num_users : 1 ,
org_created_at : 1771841702 ,
extra_properties : {
num_users_added : 10 ,
num_users_removed : 3
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
OrgReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
OrgId : "813bef..." ,
Name : "Acme Inc" ,
NumUsers : 1 ,
OrgCreatedAt : 1771841702 ,
ExtraProperties : {
num_users_added : 10 ,
num_users_removed : 3 ,
} ,
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"org_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"org_id" : "813bef..." ,
"name" : "Acme Inc" ,
"num_users" : 1 ,
"org_created_at" : 1771841702 ,
"extra_properties" : {
"num_users_added" : 10 ,
"num_users_removed" : 3 ,
} ,
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/org_report/attrition
Fetches the org attrition report, a leaderboard of the organizations with the highest number of users removed over a period of time.
Properties Name reportIntervalType string Description The report interval to return. Options include '30' and '60', and '90' days Name pageSizeType number Description The number of entries to return per page Name pageNumberType number Description The page number to return Request Javascript Python Rust Go cURL
auth .fetchOrgAttritionReport (
AttritionReportInterval . THIRTY_DAYS ,
ReportPagination {
pageSize : 10 ,
pageNumber : 0
}
) CopyCopied! auth . fetch_org_attrition_report (
report_interval = AttritionReportInterval.THIRTY_DAYS,
page_size = 10 ,
page_number = 0
) CopyCopied! auth . user_insights () . fetch_org_attrition_report (
AttritionReportInterval :: ThirtyDays ,
ReportPagination {
page_size : Some ( 10 ),
page_number : Some ( 0 ),
}
) CopyCopied! auth. FetchOrgAttritionReport (
& "30" ,
& models.ReportPagination {
PageSize: & 10 ,
PageNumber: & 0 ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/org_report/attrition
?report_interval=30
&page_size=10
&page_number=0" CopyCopied!
Successful Response {
orgReports : [
{
id : "df1940..." ,
reportId : "de58c..." ,
orgId : "813bef..." ,
name : "Acme Inc" ,
numUsers : 1 ,
orgCreatedAt : 1771841702 ,
extraProperties : {
numUsersAdded : 10 ,
numUsersRemoved : 3 ,
netUsersChange : 7 ,
}
} ,
] ,
currentPage : 0 ,
totalCount : 2 ,
pageSize : 10 ,
hasMoreResults : false ,
reportTime : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." ,
report_id : "de58c..." ,
org_id : "813bef..." ,
name : "Acme Inc" ,
num_users : 1 ,
org_created_at : 1771841702 ,
extra_properties : {
num_users_added : 10 ,
num_users_removed : 3 ,
net_users_change : 7 ,
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
org_reports : [
{
id : "df1940..." .to_string() ,
report_id : "de58c..." .to_string() ,
org_id : "813bef..." .to_string() ,
name : "Acme Inc" .to_string() ,
num_users : 1 ,
org_created_at : 1771841702 ,
extra_properties : {
num_users_added : 10 ,
num_users_removed : 3 ,
net_users_change : 7 ,
}
} ,
] ,
current_page : 0 ,
total_count : 2 ,
page_size : 10 ,
has_more_results : false ,
report_time : 1773330458
} CopyCopied! {
OrgReports : [
{
Id : "df1940..." ,
ReportId : "de58c..." ,
OrgId : "813bef..." ,
Name : "Acme Inc" ,
NumUsers : 1 ,
OrgCreatedAt : 1771841702 ,
ExtraProperties : {
num_users_added : 10 ,
num_users_removed : 3 ,
net_users_change : 7 ,
} ,
} ,
] ,
CurrentPage : 0 ,
TotalCount : 2 ,
PageSize : 10 ,
HasMoreResults : false ,
ReportTime : 1773330458 ,
} CopyCopied! {
"org_reports" : [
{
"id" : "df1940..." ,
"report_id" : "de58c..." ,
"org_id" : "813bef..." ,
"name" : "Acme Inc" ,
"num_users" : 1 ,
"org_created_at" : 1771841702 ,
"extra_properties" : {
"num_users_added" : 10 ,
"num_users_removed" : 3 ,
"net_users_change" : 7 ,
} ,
} ,
] ,
"current_page" : 0 ,
"total_count" : 2 ,
"page_size" : 10 ,
"has_more_results" : false ,
"report_time" : 1773330458
} CopyCopied!
GET /api/backend/v1/chart_metric/<chartMetric>
Returns a chart metric report for the given chart metric type and cadence.
Properties Name chartMetric * Type string Description The type of chart metric to return. Options include 'signups', 'orgs_created', 'active_users', 'active_orgs' Name cadenceType string Description The cadence of the chart metric to return. Options include 'Daily', 'Weekly', and 'Monthly' Name startDateType string Description The start date of the report period Name endDateType string Description The end date of the report period Request Javascript Python Rust Go cURL
auth .fetchChartMetricData (
ChartMetric . SIGNUPS ,
ChartMetricCadence . DAILY ,
Date ( "2026-01-01T00:00:00Z" ) , // start date
Date ( "2026-01-31T23:59:59Z" ) , // end date
) CopyCopied! import datetime as dt
auth . fetch_chart_metric_data (
chart_metric = ChartMetric.SIGNUPS,
cadence = ChartMetricCadence.DAILY
start_date = dt.date. fromisoformat ( '2026-01-01' ),
end_date = dt.date. fromisoformat ( '2026-01-31' ),
) CopyCopied! auth . user_insights () . fetch_chart_metric_data (
ChartMetric :: Signups ,
FetchChartDataQuery {
cadence : Some ( ChartMetricCadence :: Daily ),
start_date : Some ( "2026-01-01" . to_string ()),
end_date : Some ( "2026-01-31" . to_string ()),
},
) CopyCopied! auth. FetchChartMetricData (
"signups" ,
& "Daily" ,
& models.ChartRange {
StartDate: & "2026-01-01" ,
EndDate: & "2026-01-31" ,
},
) CopyCopied! curl -H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
"<AUTH_URL>/api/backend/v1/chart_metrics/<chart_metric>
?cadence=Daily
&start_date=2026-01-01
&end_date=2026-01-31" CopyCopied!
Successful Response {
chartType : "ActiveOrgs" ,
cadence : "Daily" ,
metrics : [
{
date : "2026-01-01" ,
result : 10 ,
cadenceCompleted : false
} ,
{
date : "2026-01-02" ,
result : 14 ,
cadenceCompleted : false
} ,
]
} CopyCopied! {
chart_type : "ActiveOrgs" ,
cadence : "Daily" ,
metrics : [
{
date : "2026-01-01" ,
result : 10 ,
cadence_completed : False
} ,
{
date : "2026-01-02" ,
result : 14 ,
cadence_completed : False
} ,
]
} CopyCopied! {
chart_type : "ActiveOrgs" .to_string() ,
cadence : "Daily" .to_string() ,
metrics : vec![
{
date : "2026-01-01" .to_string() ,
result : 10 ,
cadence_completed : false
} ,
{
date : "2026-01-02" .to_string() ,
result : 14 ,
cadence_completed : false
} ,
]
} CopyCopied! {
ChartType : "ActiveOrgs" ,
Cadence : "Daily" ,
Metrics : [
{
Date : "2026-01-01" ,
Result : 10 ,
CadenceCompleted : false
} ,
{
Date : "2026-01-02" ,
Result : 14 ,
CadenceCompleted : false
} ,
]
} CopyCopied! {
"chart_type" : "ActiveOrgs" ,
"cadence" : "Daily" ,
"metrics" : [
{
"date" : "2026-01-01" ,
"result" : 10 ,
"cadence_completed" : false
} ,
{
"date" : "2026-01-02" ,
"result" : 14 ,
"cadence_completed" : false
} ,
]
} CopyCopied!